org.apache.cassandra.cql3.statements

## Class GrantRoleStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.AuthenticationStatement
    - - org.apache.cassandra.cql3.statements.RoleManagementStatement
      - - org.apache.cassandra.cql3.statements.GrantRoleStatement

All Implemented Interfaces:
  CQLStatement

    public class GrantRoleStatement
    extends RoleManagementStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.statements.RoleManagementStatement

`grantee, role`

### Constructor Summary

Constructors
Constructor and Description
`GrantRoleStatement(RoleName name, RoleName grantee)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ResultMessage` `execute(ClientState state)`

### Methods inherited from class org.apache.cassandra.cql3.statements.RoleManagementStatement

`checkAccess, validate`

### Methods inherited from class org.apache.cassandra.cql3.statements.AuthenticationStatement

`checkPermission, execute, executeInternal, getBoundTerms, prepare`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, getFunctions, setBoundVariables, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.CQLStatement

`getFunctions`

### Constructor Detail

#### GrantRoleStatement

    public GrantRoleStatement(RoleName name,
                              RoleName grantee)

### Method Detail

#### execute

    public ResultMessage execute(ClientState state)
                          throws RequestValidationException,
                                 RequestExecutionException

Specified by:
  `execute` in class `AuthenticationStatement`
Throws:
  `RequestValidationException`
  `RequestExecutionException`